org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageQualifiedNameProvider

- java.lang.Object
- - org.eclipse.xtext.naming.IQualifiedNameProvider.AbstractImpl
  - - org.eclipse.xtext.naming.DefaultDeclarativeQualifiedNameProvider
    - - org.eclipse.xtext.xbase.scoping.XbaseQualifiedNameProvider
      - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageQualifiedNameProvider

- All Implemented Interfaces:
    java.util.function.Function<org.eclipse.emf.ecore.EObject,org.eclipse.xtext.naming.QualifiedName>, org.eclipse.xtext.naming.IQualifiedNameProvider

      public class EMFPatternLanguageQualifiedNameProvider
      extends org.eclipse.xtext.xbase.scoping.XbaseQualifiedNameProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.naming.IQualifiedNameProvider

      `org.eclipse.xtext.naming.IQualifiedNameProvider.AbstractImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageQualifiedNameProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.naming.QualifiedName` | `getFullyQualifiedName(org.eclipse.emf.ecore.EObject obj)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.scoping.XbaseQualifiedNameProvider

      `getFullyQualifiedName`

    - ### Methods inherited from class org.eclipse.xtext.naming.DefaultDeclarativeQualifiedNameProvider

      `computeFullyQualifiedName, computeFullyQualifiedNameFromNameAttribute, getConverter, getOrComputeFullyQualifiedName, getResolver, qualifiedName`

    - ### Methods inherited from class org.eclipse.xtext.naming.IQualifiedNameProvider.AbstractImpl

      `apply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.common.base.Function

      `equals`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Constructor Detail

    - #### EMFPatternLanguageQualifiedNameProvider

          public EMFPatternLanguageQualifiedNameProvider()

  - ### Method Detail

    - #### getFullyQualifiedName

          public org.eclipse.xtext.naming.QualifiedName getFullyQualifiedName(org.eclipse.emf.ecore.EObject obj)

      Specified by:
        `getFullyQualifiedName` in interface `org.eclipse.xtext.naming.IQualifiedNameProvider`
      Overrides:
        `getFullyQualifiedName` in class `org.eclipse.xtext.xbase.scoping.XbaseQualifiedNameProvider`